%kmdl linuxtv-dvb

Summary: Digital Video Broadcast drivers for linux.
Name: linuxtv-dvb
Version: 1.1.1
Release: 6.1.2%{?dist}
URL: http://linuxtv.org/
Source0: http://linuxtv.org/download/dvb/%{name}-%{version}.tar.bz2
Source1: http://linuxtv.org/download/dvb/dvb-ttpci-01.fw
#Source2: http://linuxtv.org/download/dvb/%{name}-apps-%{version}.tar.bz2
#Source2: http://linuxtv.org/download/dvb/%{name}-apps-1.1.0.tar.bz2
#Source10: http://www.linuxtv.org/download/dvb/linux-dvb-api-1.0.0.pdf
#Source11: http://www.linuxtv.org/download/dvb/NEWS
#Source12: http://www.linuxtv.org/download/dvb/CARDS
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
%kmdl_parentdependencies

%description
Digital Video Broadcast drivers for linux.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Digital Video Broadcast drivers. for linux.
Group: System Environment/Kernel

%description -n %kmdl_name
Digital Video Broadcast drivers for linux.

%kmdl_desc

%prep
%setup -q
grep -rl I2C_ADAP_CLASS_TV_ANALOG . | xargs perl -pi -e's,I2C_ADAP_CLASS_TV_ANALOG,I2C_CLASS_TV_ANALOG,'
cat >> build-2.4/Makefile <<EOF
myinstall:
	cp -v \$(obj-m) \$(DEST)
EOF
cp -a %{SOURCE1} .
ln -s ../dvb-ttpci-01.fw build-2.4
ln -s ../dvb-ttpci-01.fw build-2.6

%build
%if %{kmdl_userland}
%else
%kmdl_config

if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C build-2.6 KERNELSRCDIR=%{kmdl_kernelsrcdir}
else
  make -C build-2.4 KDIR=%{kmdl_kernelsrcdir}
fi

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/media/dvb
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/build-2.6 modinst_dir=%{buildroot}%{kmdl_moduledir}/drivers/media/dvb modules_install
else
  make -C build-2.4 KDIR=%{kmdl_kernelsrcdir} DEST=%{buildroot}%{kmdl_moduledir}/drivers/media/dvb myinstall
  rm -f %{buildroot}%{kmdl_moduledir}/drivers/media/dvb/v4l1-compat.*o
  rm -f %{buildroot}%{kmdl_moduledir}/drivers/media/dvb/v4l2-compat.*o
  rm -f %{buildroot}%{kmdl_moduledir}/drivers/media/dvb/video-buf.*o
fi
mkdir -p %{buildroot}/dev/dvb
chmod 755 %{buildroot}/dev/dvb
for i in `seq 0 3`; do
  mkdir %{buildroot}/dev/dvb/adapter$i
  chmod 755 %{buildroot}/dev/dvb/adapter$i
  for dev in video0 audio0 frontend0 demux0 dvr0 ca0 net0 osd0; do
    echo "%attr(0660,root,video) %dev(c,250,`expr 64 \* $i + 0`) /dev/dvb/adapter$i/$dev" >> device.list
  done
done

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/*

%else

%files -n %kmdl_name -f device.list
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/media/dvb/*
%dir %attr(0755,root,root) /dev/dvb
%dir %attr(0755,root,root) /dev/dvb/*

%endif

%changelog
* Sat Mar 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.1.

* Mon Feb 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
